[v10.6]
1=Improved scanning algorithms to detect and clean more leftovers
2=Optimized update algorithms to get updates for your installed programs more promptly
3=Improved multiple languages for better localization
4=Fixed all known bugs

[v10.5]
1=Optimized Install Monitor for more comprehensive and accurate monitoring
2=Enhanced Software Health to detect and fix more software issues
3=Enlarged Stubborn Program Remover database to remove 130 more stubborn programs
4=Expanded database to remove 22% more malicious/ads plugins for faster and more secure browsing
5=Fixed all known bugs

[v10.4]
1=Enhanced leftover scanning algorithm to find and clean more leftovers
2=Enlarged database to remove 350 more stubborn programs
3=Improved Stubborn Program Remover to detect programs with uninstall issues more accurately
4=Some UI improvements
5=Fixed all known bugs

[v10.3]
1=Enhanced leftover scanning to clean more files and registry entries
2=Enhanced uninstall engine to remove super large programs more thoroughly
3=Enlarged database to remove 210 more stubborn programs 
4=Added support to maximize the details window of Uninstall History and Installation Log
5=Fixed the reconfiguration issue with apps in Win 10
6=Fixed all known bugs 

[v10.2]
1=Enhanced Stubborn Program Remover to detect more uninstall issues of Microsoft installer programs  
2=Enlarged database to remove 240 more stubborn programs  
3=Improved leftover scanning algorithms to scan for more leftovers after the program uninstallation
4=Optimized Install Monitor for more complete installation log when monitoring software updates
5=Better Software Updater interface for more user-friendly experience
6=Fixed all known bugs  

[v10.1]
1=New Stubborn Program Remover to remove stubborn programs much easier
2=Enlarged database to remove 200 more stubborn programs
3=Customize whether to display the Powerful Uninstall option in Windows context menu
4=Customize whether to display system run-time components in program list
5=Fixed the occasional issue of inaccurate program size detection and unstable installation monitoring of oversized programs
6=Fixed all known bugs

[v10.0]
1=Increased uninstall speed by 50%
2=Improved scan algorithm to scan 30% more uninstallation leftovers      
3=Enhanced Software Health to newly support blocking site notification prompts from interrupting you
4=Enhanced Install Monitor to monitor more programs installation and newly support monitoring system services, scheduled tasks, and DLL registration
5=Optimized program detection algorithm for more accurate detection of Infrequently Used Program and Bundleware
6=Fixed the occasional incorrect leftover prompts after updating some programs
7=Added support for uninstalling 40+ stubborn programs like MPC-HC, SpyHunter5, Avast Antivirus, Rockstar Games, IntelliJ IDEA, and more
8=Newly support updating multi-language versions of some popular programs, like Firefox, WinRAR, and Mozilla Thunderbird
9=Newly support removing plugins of Microsoft Edge (Chromium)
10=Better UI for more user-friendly experience
11=Two skins: Dark & Light
12=Localization: 38 languages